Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_PriorityBandedConnectionPolicy Class Reference

RTCORBA::PriorityBandedConnectionPolicy implementation. More...

`#include <RT_Policy_i.h>`

Inheritance diagram for TAO_PriorityBandedConnectionPolicy

[legend]
Collaboration diagram for TAO_PriorityBandedConnectionPolicy:

[legend]
List of all members.

## Public Methods
| TAO_PriorityBandedConnectionPolicy (const RTCORBA::PriorityBands &bands)
| Constructor.
| TAO_PriorityBandedConnectionPolicy (const TAO_PriorityBandedConnectionPolicy &rhs)
| Copy constructor.
RTCORBA::PriorityBands& | priority_bands_rep (void)
virtual RTCORBA::PriorityBands* | priority_bands (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
virtual CORBA::PolicyType | policy_type (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
virtual CORBA::Policy_ptr | copy (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
virtual void | destroy (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
virtual CORBA::Boolean | _tao_encode (TAO_OutputCDR &out_cdr)
| This method writes a CDR representation of the current object.
virtual CORBA::Boolean | _tao_decode (TAO_InputCDR &in_cdr)
| This method reads the object state from a CDR representation.
virtual TAO_Cached_Policy_Type | _tao_cached_type (void) const
virtual TAO_Policy_Scope | _tao_scope (void) const
## Protected Methods
virtual | ~TAO_PriorityBandedConnectionPolicy (void)
| Protected destructor to enforce proper memory management of this reference counted object.
| TAO_PriorityBandedConnectionPolicy (void)
## Private Attributes
RTCORBA::PriorityBands | priority_bands_
| Attribute.
## Friends
class | TAO_RT_PolicyFactory

## Detailed Description

RTCORBA::PriorityBandedConnectionPolicy implementation.

RT CORBA provides facility for a client to communicate with a server via multiple connections, aka bands, with each connection handling invocations that are made at a different CORBA priority. This policy allows the specification of the number of such bands and their priorities.

## Constructor & Destructor Documentation

TAO_PriorityBandedConnectionPolicy::TAO_PriorityBandedConnectionPolicy ( | const RTCORBA::PriorityBands & bands )

| Constructor.

TAO_PriorityBandedConnectionPolicy::TAO_PriorityBandedConnectionPolicy ( | const TAO_PriorityBandedConnectionPolicy & rhs )

| Copy constructor.

TAO_PriorityBandedConnectionPolicy::~TAO_PriorityBandedConnectionPolicy ( | void )`[protected, virtual]`

| Protected destructor to enforce proper memory management of this reference counted object.

TAO_PriorityBandedConnectionPolicy::TAO_PriorityBandedConnectionPolicy ( | void )`[protected]`

## Member Function Documentation

TAO_Cached_Policy_Type TAO_PriorityBandedConnectionPolicy::_tao_cached_type ( | void ) const`[virtual]`

CORBA::Boolean TAO_PriorityBandedConnectionPolicy::_tao_decode ( | TAO_InputCDR & in_cdr )`[virtual]`

| This method reads the object state from a CDR representation.

CORBA::Boolean TAO_PriorityBandedConnectionPolicy::_tao_encode ( | TAO_OutputCDR & out_cdr )`[virtual]`

| This method writes a CDR representation of the current object.

TAO_Policy_Scope TAO_PriorityBandedConnectionPolicy::_tao_scope ( | void ) const`[virtual]`

CORBA::Policy_ptr TAO_PriorityBandedConnectionPolicy::copy ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

void TAO_PriorityBandedConnectionPolicy::destroy ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

CORBA::PolicyType TAO_PriorityBandedConnectionPolicy::policy_type ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

RTCORBA::PriorityBands * TAO_PriorityBandedConnectionPolicy::priority_bands ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

ACE_INLINE RTCORBA::PriorityBands & TAO_PriorityBandedConnectionPolicy::priority_bands_rep ( | void )

| Accessor to the underlying priority bands of the policy (does not make a copy like the idl accessor <priority_bands> implementation below.)

## Friends And Related Function Documentation

class TAO_RT_PolicyFactory`[friend]`

| This constructor is used by TAO_RT_PolicyFactory when decoding policies from tagged components in an IOR.

## Member Data Documentation

RTCORBA::PriorityBands TAO_PriorityBandedConnectionPolicy::priority_bands_`[private]`

| Attribute.

The documentation for this class was generated from the following files:

- RT_Policy_i.h
- RT_Policy_i.cpp
- RT_Policy_i.i